## solid 5.5.0

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.12)

project(Solid)

find_package(ECM 1.5.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.2.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml DBus Widgets)

if(WIN32)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network)
endif()

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)

if (CMAKE_SYSTEM_NAME MATCHES Linux)
    find_package( UDev )

    set_package_properties(UDev PROPERTIES  URL "http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html"
                                            DESCRIPTION "UDev support for Solid"
                                            TYPE REQUIRED
                                            PURPOSE "Allows Solid to use UDev to provide information about devices on Linux"
                            )
endif()


include(ECMPoQmTools)

set(KF5_VERSION "5.5.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX SOLID
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/solid_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfigVersion.cmake"
                        SOVERSION 5)

# TODO: Remove these
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

option(WITH_NEW_SOLID_JOB "WIP: base Job class" Off)
add_feature_info(Solid::Job WITH_NEW_SOLID_JOB "WIP: Base class for Solid Asynchronous apis")

option(WITH_NEW_POWER_ASYNC_API "WIP: Asynchronous API for power management" Off)
add_feature_info(Solid::PowerManagement WITH_NEW_POWER_ASYNC_API "WIP: Asynchronous API for power management")

option(WITH_NEW_POWER_ASYNC_FREEDESKTOP "WIP: Freedesktop backend for the asyncrhonous api" Off)
add_feature_info(Solid::PowerManagement WITH_NEW_POWER_ASYNC_FREEDESKTOP "WIP: Freedesktop backend for the asyncrhonous api")

add_subdirectory(src)
add_subdirectory(autotests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Solid")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5SolidConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5SolidTargets  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"  FILE KF5SolidTargets.cmake  NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/solid_version.h  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}  COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## solid 5.3.0

=== debian/changelog ===
solid (5.3.0-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:13:34 +0100

solid (5.2.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Use pkg-kde-tools version 3 scripts

  [ Scarlett Clark ]
  * Fix qml-module-org-kde-solid.install to reflect new paths. 
  * Move copyright extra details to comment to silence 
    space-in-std-shortname-in-dep5-copyright lintian error. 
  * Revert to original install paths. Upstream Review:120229

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:35:42 +0200

solid (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:08:07 +0200

solid (5.0.0-0ubuntu3) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Make symbols file have an implicit dependency on
    qml-module-org-kde-solid

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Jul 2014 17:42:42 +0200

solid (5.0.0-0ubuntu2) utopic; urgency=medium

  * Update copyright to match licensing to source
  * Rename qml package to qml-module naming scheme

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 16 Jul 2014 09:13:48 -0700

solid (5.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial stable upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 10 Jul 2014 17:30:10 +0200

=== debian/control ===
Source: solid
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               flex,
               libhupnp-dev,
               libudev-dev [linux-any],
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/solid
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/solid.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/solid.git

Package: libkf5solid-dev
Section: libdevel
Architecture: any
Depends: libkf5solid5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5solid5
Architecture: any
Multi-Arch: same
Depends: libkf5solid5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5solid-bin (= ${binary:Version})
Suggests: media-player-info [linux-any]
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.

Package: libkf5solid5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains shared data files.

Package: libkf5solid-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: udisks2, upower
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains the solid-hardware5 tool.

Package: qtdeclarative5-kf5solid
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, qml-module-org-kde-solid
Priority: extra
Section: oldlibs
Description: transitional package to renamed qml-module-org-kde-solid
 Transitional package for qml-module-org-kde-solid.  This package is
 safe to remove.
 .
 This package is part of KDE Frameworks 5.

Package: qml-module-org-kde-solid
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
Breaks: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
Description: Qt library to query and control hardware plugin
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5solid5-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libkf5solid5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for libsolid
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the debug symbols.

## solid 5.4.0

=== debian/changelog ===
solid (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:04:02 +0100

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,6 @@
 Depends: libkf5solid5-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: libkf5solid-bin (= ${binary:Version})
 Suggests: media-player-info [linux-any]
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
@@ -72,7 +71,7 @@
 
 Package: qtdeclarative5-kf5solid
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}, qml-module-org-kde-solid
+Depends: qml-module-org-kde-solid, ${misc:Depends}, ${shlibs:Depends}
 Priority: extra
 Section: oldlibs
 Description: transitional package to renamed qml-module-org-kde-solid

## solid 5.5.0

=== debian/changelog ===
solid (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:46:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
+               extra-cmake-modules (>= 1.5),
                flex,
                libhupnp-dev,
                libudev-dev [linux-any],

## solid 5.6.0

=== debian/changelog ===
solid (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:12:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.5),
+               extra-cmake-modules (>= 1.6.0),
                flex,
                libhupnp-dev,
                libudev-dev [linux-any],

## solid 5.7.0

=== src/CMakeLists.txt ===
add_subdirectory(solid)
add_subdirectory(tools)
add_subdirectory(imports)

=== debian/changelog ===
solid (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:51:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.6.0),
+               extra-cmake-modules (>= 1.7.0),
                flex,
                libhupnp-dev,
                libudev-dev [linux-any],

## solid 5.8.0

=== debian/changelog ===
solid (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:46:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.7.0),
+               extra-cmake-modules (>= 1.8.0),
                flex,
                libhupnp-dev,
                libudev-dev [linux-any],
@@ -15,9 +15,9 @@
                qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/solid
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/solid.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/solid.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/solid.git
 
 Package: libkf5solid-dev

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbg-package=libkf5solid5-dbg

## solid 5.9.0

=== debian/changelog ===
solid (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 23:20:12 +0200

## solid 5.10.0

=== debian/changelog ===
solid (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:03:54 +0200

solid (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:31 +0200

solid (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Mar 2015 22:27:07 +0100

solid (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Mar 2015 17:45:34 +0100

solid (5.6.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Maximiliano Curia ]
  * New upstream release (5.6.0).
  * Bump build dependencies to build against the experimental versions.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Update build dependencies to follow cmake.
  * Update copyright information.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Jan 2015 18:57:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: bison,
-               cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
+               cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.10.0),
                flex,
-               libhupnp-dev,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qtdeclarative5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/solid
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/solid.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/solid.git
@@ -23,7 +23,9 @@
 Package: libkf5solid-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5solid5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
+Depends: libkf5solid5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.4),
+         ${misc:Depends}
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -70,10 +72,10 @@
  This package contains the solid-hardware5 tool.
 
 Package: qtdeclarative5-kf5solid
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: qml-module-org-kde-solid, ${misc:Depends}, ${shlibs:Depends}
-Priority: extra
-Section: oldlibs
 Description: transitional package to renamed qml-module-org-kde-solid
  Transitional package for qml-module-org-kde-solid.  This package is
  safe to remove.
@@ -93,10 +95,10 @@
  This package is part of KDE Frameworks 5.
 
 Package: libkf5solid5-dbg
+Section: debug
+Priority: extra
 Architecture: any
 Multi-Arch: same
-Section: debug
-Priority: extra
 Depends: libkf5solid5 (= ${binary:Version}), ${misc:Depends}
 Description: debug symbols for libsolid
  Solid is a device integration framework. It provides a way of querying and

## solid 5.12.0

=== debian/changelog ===
solid (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Update symbols files for gcc5 compatibility. (Closes: #791738)
    Thanks to Martin Michlmayr

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:16 +0200

solid (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Jun 2015 17:04:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.10.0),
+               extra-cmake-modules (>= 5.11.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## solid 5.13.0

=== debian/changelog ===
solid (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 27 Aug 2015 18:35:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.11.0~),
+               extra-cmake-modules (>= 5.13.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## solid 5.14.0

=== debian/changelog ===
solid (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:29:41 +0100

solid (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:36:52 +0200

solid (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Update symbols file: mark as optional the symbols gone after
    building with GCC 5

  [ Scarlett Clark ]
  * Remove misplaced backport.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:12:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.13.0~),
+               extra-cmake-modules (>= 5.14.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## solid 5.15.0

=== debian/changelog ===
solid (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:56 +0100

solid (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 14:00:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.14.0~),
+               extra-cmake-modules (>= 5.15.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## solid 5.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,11 @@
 
 project(Solid)
 
-find_package(ECM 1.5.0 REQUIRED NO_MODULE)
+include(FeatureSummary)
+find_package(ECM 5.18.0  NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
@@ -11,14 +15,14 @@
 include(KDEFrameworkCompilerSettings)
 include(KDECMakeSettings)
 
-set(REQUIRED_QT_VERSION 5.2.0)
+set(REQUIRED_QT_VERSION 5.3.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml DBus Widgets)
 
 if(WIN32)
     find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network)
 endif()
 
-include(FeatureSummary)
+
 include(GenerateExportHeader)
 include(ECMPackageConfigHelpers)
 include(ECMSetupVersion)
@@ -38,7 +42,7 @@
 
 include(ECMPoQmTools)
 
-set(KF5_VERSION "5.5.0") # handled by release scripts
+set(KF5_VERSION "5.18.0") # handled by release scripts
 
 ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX SOLID
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/solid_version.h"
@@ -59,19 +63,21 @@
 option(WITH_NEW_POWER_ASYNC_API "WIP: Asynchronous API for power management" Off)
 add_feature_info(Solid::PowerManagement WITH_NEW_POWER_ASYNC_API "WIP: Asynchronous API for power management")
 
-option(WITH_NEW_POWER_ASYNC_FREEDESKTOP "WIP: Freedesktop backend for the asyncrhonous api" Off)
-add_feature_info(Solid::PowerManagement WITH_NEW_POWER_ASYNC_FREEDESKTOP "WIP: Freedesktop backend for the asyncrhonous api")
+option(WITH_NEW_POWER_ASYNC_FREEDESKTOP "WIP: Freedesktop backend for the asynchronous api" Off)
+add_feature_info(Solid::PowerManagement WITH_NEW_POWER_ASYNC_FREEDESKTOP "WIP: Freedesktop backend for the asynchronous api")
 
 add_subdirectory(src)
 add_subdirectory(autotests)
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
-set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Solid")
+set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Solid")
 
-ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5SolidConfig.cmake.in"
-                              "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfig.cmake"
-                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
-                              )
+ecm_configure_package_config_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/KF5SolidConfig.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfig.cmake"
+    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
+    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
+)
 
 install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfig.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfigVersion.cmake"
@@ -80,6 +86,6 @@
 
 install(EXPORT KF5SolidTargets  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"  FILE KF5SolidTargets.cmake  NAMESPACE KF5:: )
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/solid_version.h  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}  COMPONENT Devel )
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/solid_version.h  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}  COMPONENT Devel )
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/imports/CMakeLists.txt ===
find_package(Qt5Qml ${REQUIRED_QT_VERSION} CONFIG QUIET)

set_package_properties(Qt5Qml PROPERTIES  URL "git://gitorious.org/qt/qtdeclarative.git"
                                          DESCRIPTION "QML support for Solid"
                                          TYPE OPTIONAL
                                          PURPOSE "Allows to use Solid in QML code"
                         )


if(NOT Qt5Qml_FOUND)
    message(STATUS "Qt5Qml not found, qml imports will not be built.")
    return()
endif()

set(solidextensionplugin_SRCS
    ${solid_common_SRCS}
    solidextensionplugin.cpp
    devices.cpp
    )

add_library(solidextensionplugin SHARED ${solidextensionplugin_SRCS})

target_link_libraries(
    solidextensionplugin
    KF5::Solid
    Qt5::Core
    Qt5::Qml
)

install(TARGETS solidextensionplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/solid)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/solid)

=== src/solid/devices/backends/udisks2/CMakeLists.txt ===
set(solid_LIB_SRCS ${solid_LIB_SRCS}
    devices/backends/udisks2/udisksmanager.cpp
    devices/backends/udisks2/udisksdevice.cpp
    devices/backends/udisks2/udisksdevicebackend.cpp
    devices/backends/udisks2/udisksblock.cpp
    devices/backends/udisks2/udisksstoragevolume.cpp
    devices/backends/udisks2/udisksdeviceinterface.cpp
    devices/backends/udisks2/udisksopticaldisc.cpp
    devices/backends/udisks2/udisksopticaldrive.cpp
    devices/backends/udisks2/udisksstoragedrive.cpp
    devices/backends/udisks2/udisksstorageaccess.cpp
    devices/backends/udisks2/udisksgenericinterface.cpp
    devices/backends/udisks2/dbus/manager.cpp
)

=== debian/changelog ===
solid (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge. No remaining changes. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:28:58 +0100

solid (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:58 +0100

solid (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:09 +0200

solid (5.14.0-2) unstable; urgency=medium

  * Move auto test to autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Sep 2015 14:12:59 +0200

solid (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Removed private classes from exported symbols.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:48:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -15,7 +15,6 @@
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/solid
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/solid.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/solid.git

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,7 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=libkf5solid5-dbg
+
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/solid-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/solid-(.*)\.tar\.xz

## solid 5.22.0

=== debian/changelog ===
solid (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 17:03:05 -0700

solid (5.19.0-2) experimental; urgency=medium

  * Add missing build dependency.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 24 Feb 2016 07:18:31 +0100

solid (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:03 +0100

solid (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:41 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.22.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -14,10 +14,10 @@
                qtdeclarative5-dev (>= 5.4),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://projects.kde.org/projects/frameworks/solid
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/solid.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/solid.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
 
 Package: libkf5solid-dev
 Section: libdevel
@@ -92,17 +92,3 @@
  interacting with hardware independently of the underlying operating system.
  .
  This package is part of KDE Frameworks 5.
-
-Package: libkf5solid5-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libkf5solid5 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for libsolid
- Solid is a device integration framework. It provides a way of querying and
- interacting with hardware independently of the underlying operating system.
- .
- This package is part of KDE Frameworks 5.
- .
- This package contains the debug symbols.

## solid 5.24.0

=== debian/changelog ===
solid (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:52:17 +0000

solid (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:25:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.22.0~),
+               extra-cmake-modules (>= 5.24.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## solid 5.26.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(Solid)
 
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.26.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -12,10 +12,10 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-set(REQUIRED_QT_VERSION 5.3.0)
+set(REQUIRED_QT_VERSION 5.5.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml DBus Widgets)
 
 if(WIN32)
@@ -28,6 +28,22 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMMarkNonGuiExecutable)
+
+find_package(FLEX REQUIRED)
+set_package_properties(FLEX PROPERTIES
+    URL "http://flex.sourceforge.net"
+    DESCRIPTION "Fast Lexical Analyzer"
+    TYPE REQUIRED
+    PURPOSE "Required for the Predicate parser"
+)
+
+find_package(BISON REQUIRED)
+set_package_properties(BISON PROPERTIES
+    URL "http://www.gnu.org/software/bison"
+    DESCRIPTION "general-purpose parser generator"
+    TYPE REQUIRED
+    PURPOSE "Required for the Predicate parser"
+)
 
 if (CMAKE_SYSTEM_NAME MATCHES Linux)
     find_package( UDev )
@@ -42,7 +58,7 @@
 
 include(ECMPoQmTools)
 
-set(KF5_VERSION "5.18.0") # handled by release scripts
+set(KF5_VERSION "5.26.0") # handled by release scripts
 
 ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX SOLID
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/solid_version.h"

=== debian/changelog ===
solid (5.26.0-0ubuntu1) yakkety; urgency=medium

  * Add MediaPlayerInfo to cmake-ignore as loaded at runtime
  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:53:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 5.26.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## solid 5.28.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(Solid)
 
 include(FeatureSummary)
-find_package(ECM 5.26.0  NO_MODULE)
+find_package(ECM 5.28.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -58,7 +58,7 @@
 
 include(ECMPoQmTools)
 
-set(KF5_VERSION "5.26.0") # handled by release scripts
+set(KF5_VERSION "5.28.0") # handled by release scripts
 
 ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX SOLID
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/solid_version.h"

=== debian/changelog ===
solid (5.28.0-3) unstable; urgency=medium

  * Pick "Work round DBus property fetching bug" (6f1c6dc)
    Workaround for a qt5 dbus property issue.
    Add upstream patch as: Work-round-DBus-property-fetching-bug.patch
    This fixes KDE#345871
  * Pick "[UDisks 2 Device] Add description for Floppy Disk" (d92588b)
    Floppy disks now show up as "Floppy Disk" instead of "0 B Removable
    Media"
    Add upstream patch as:
     UDisks-2-Device-Add-description-for-Floppy-Disk.patch

 -- Maximiliano Curia <maxy@debian.org>  Sat, 08 Apr 2017 19:58:03 +0200

solid (5.28.0-2) unstable; urgency=medium

  * Add patch: fix-FTBFS-on-mipsel-and-m68k-src-solid-predicate_parser.c.patch.
    Thanks to James Cowgill for the patch (thanks a lot!!) (Closes: 846266)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 30 Nov 2016 15:57:09 +0100

solid (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:03:11 +0100

solid (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:58:07 +0200

solid (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:58:25 +0200

solid (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 17:20:25 +0200

solid (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:26:11 +0200

solid (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Add new patch: use_shortest_filepath.diff

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 23:50:32 +0200

solid (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * Drop qt5-qmltooling-plugins build dependency
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 18:48:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,24 +6,24 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4),
+               qtbase5-dev (>= 5.5.0~),
+               qtdeclarative5-dev (>= 5.5.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/solid
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/solid.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/solid.git
 
 Package: libkf5solid-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5solid5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends}
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
@@ -32,6 +32,7 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development files.
+Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.28)
 
 Package: libkf5solid5
 Architecture: any
@@ -45,6 +46,12 @@
  interacting with hardware independently of the underlying operating system.
  .
  Solid is part of KDE Frameworks 5.
+Breaks: baloo-kf5 (<< 5.28),
+        kio (<< 5.28),
+        libkf5baloo5 (<< 5.28),
+        libkf5kdelibs4support5 (<< 5.28),
+        libkf5kiofilewidgets5 (<< 5.28),
+        libkf5runner5 (<< 5.28)
 
 Package: libkf5solid5-data
 Architecture: all

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d\.]*)/solid-(.*)\.tar\.xz

## solid 5.30.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
 
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
-project(Solid)
+set(KF5_VERSION "5.30.0") # handled by release scripts
+project(Solid VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.28.0  NO_MODULE)
+find_package(ECM 5.30.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -24,7 +25,7 @@
 
 
 include(GenerateExportHeader)
-include(ECMPackageConfigHelpers)
+include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMMarkNonGuiExecutable)
@@ -58,9 +59,8 @@
 
 include(ECMPoQmTools)
 
-set(KF5_VERSION "5.28.0") # handled by release scripts
 
-ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX SOLID
+ecm_setup_version(PROJECT VARIABLE_PREFIX SOLID
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/solid_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfigVersion.cmake"
                         SOVERSION 5)
@@ -88,7 +88,7 @@
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Solid")
 
-ecm_configure_package_config_file(
+configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KF5SolidConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfig.cmake"
     PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR

=== debian/changelog ===
solid (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:33:48 +0000

solid (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Refresh patch use_shortest_filepath.diff

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:15:43 +0000

=== debian/control ===
--- 
+++ 
@@ -6,24 +6,24 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
+               extra-cmake-modules (>= 5.30.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.5.0~),
-               qtdeclarative5-dev (>= 5.5.0~),
-               qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4)
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
+               qttools5-dev-tools (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/solid
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/solid.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/solid.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
 
 Package: libkf5solid-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5solid5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.5.0~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
@@ -32,7 +32,6 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development files.
-Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.28)
 
 Package: libkf5solid5
 Architecture: any
@@ -46,12 +45,6 @@
  interacting with hardware independently of the underlying operating system.
  .
  Solid is part of KDE Frameworks 5.
-Breaks: baloo-kf5 (<< 5.28),
-        kio (<< 5.28),
-        libkf5baloo5 (<< 5.28),
-        libkf5kdelibs4support5 (<< 5.28),
-        libkf5kiofilewidgets5 (<< 5.28),
-        libkf5runner5 (<< 5.28)
 
 Package: libkf5solid5-data
 Architecture: all
@@ -78,9 +71,9 @@
  This package contains the solid-hardware5 tool.
 
 Package: qtdeclarative5-kf5solid
+Architecture: all
 Section: oldlibs
 Priority: extra
-Architecture: all
 Depends: qml-module-org-kde-solid, ${misc:Depends}, ${shlibs:Depends}
 Description: transitional package to renamed qml-module-org-kde-solid
  Transitional package for qml-module-org-kde-solid.  This package is
@@ -92,8 +85,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
 Replaces: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
-Breaks: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
 Description: Qt library to query and control hardware plugin
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.

## solid 5.31.0

=== debian/changelog ===
solid (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:50:10 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.30.0~),
+               extra-cmake-modules (>= 5.31.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## solid 5.33.0

=== debian/changelog ===
solid (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:03:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.33.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## solid 5.34.0

=== debian/changelog ===
solid (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)
  * Add dbus-x11 to testsuite Depends in order to fix autopkgtests

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:24:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.33.0~),
+               extra-cmake-modules (>= 5.34.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## solid 5.35.0

=== debian/changelog ===
solid (5.35.0-0ubuntu2) artful; urgency=medium

  * Cherry-pick commit from KDE Neon packaging from Harald Sitter;
    - Promote media-player-info from suggests to recommends; without this
      package solid cannot identify/query portable media players

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Jun 2017 08:29:30 +0100

solid (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:56:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.34.0~),
+               extra-cmake-modules (>= 5.35.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -39,7 +39,7 @@
 Depends: libkf5solid5-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: media-player-info [linux-any]
+Recommends: media-player-info [linux-any]
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5solid5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## solid 5.36.0

=== debian/changelog ===
solid (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:52:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: bison,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.35.0~),
+               extra-cmake-modules (>= 5.36.0~),
                flex,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),
